## `~_SetListenerPosition(x, y, z)`

**Returns:** N/A (`undefined`)

|Argument|Datatype|Description                                           |
|--------|--------|------------------------------------------------------|
|`x`     |number  |x-position of the player's "head" in the scene        |
|`y`     |number  |y-position of the player's "head" in the scene        |
|`z`     |number  |z-position of the player's "head" in the scene        |

Sets the "head" position for the player in 3D space. This affects panning and volume for 3D audio.

&nbsp;

## `~_SetListenerVelocity(xVelocity, yVelocity, zVelocity)`

**Returns:** N/A (`undefined`)

|Argument   |Datatype|Description                                                    |
|-----------|--------|---------------------------------------------------------------|
|`xVelocity`|number  |x-component of the velocity of the player's "head" in the scene|
|`yVelocity`|number  |y-component of the velocity of the player's "head" in the scene|
|`zVelocity`|number  |z-component of the velocity of the player's "head" in the scene|

Sets the velocity for the player in 3D space. This affects the pitch of 3D audio via the [Doppler effect](https://en.wikipedia.org/wiki/Doppler_effect).

&nbsp;

## `~_PauseAll()`

**Returns:** N/A (`undefined`)

|Argument|Datatype|Description                                           |
|--------|--------|------------------------------------------------------|
|None    |        |                                                      |

Pauses all sound instances, which is useful for stopping audio when the game loses focus. This function sets a separate pause state to the one set by [`FAudio_SoundInstance_Pause`](Functions-(Sound-Instances)?id=_soundinstance_pausesoundinstanceid).

&nbsp;

## `~_ResumeAll()`

**Returns:** N/A (`undefined`)

|Argument|Datatype|Description                                           |
|--------|--------|------------------------------------------------------|
|None    |        |                                                      |

Resumes all sound instances paused by `FAudio_PauseAll()`.

&nbsp;

## `~_StopAll()`

**Returns:** N/A (`undefined`)

|Argument|Datatype|Description                                           |
|--------|--------|------------------------------------------------------|
|None    |        |                                                      |

Stops all currently playing sound instances.